Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 77207 - ymessenger updates ~/.xinitrc, resulting in blank file and broken X
Summary: ymessenger updates ~/.xinitrc, resulting in blank file and broken X
Status: RESOLVED TEST-REQUEST
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: x86 Linux
: High major (vote)
Assignee: Gentoo net-im Herd
URL:
Whiteboard:
Keywords:
: 77208 (view as bug list)
Depends on:
Blocks:
 
Reported: 2005-01-09 02:21 UTC by Christphe ARNAL
Modified: 2006-07-23 10:33 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
xorg.conf from Guy's dragonfyre machine. (xorg.conf,14.16 KB, text/plain)
2005-01-10 19:11 UTC, Guy
Details
Xorg.1.log from latest attempt (Xorg.1.log,45.12 KB, text/plain)
2005-01-10 19:19 UTC, Guy
Details
emerge and current xorg-x11 version info (emerge.info.txt,2.89 KB, text/plain)
2005-01-10 19:21 UTC, Guy
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christphe ARNAL 2005-01-09 02:21:21 UTC
First, on boot, i should get automatic login with a gnome session !
This one crash and i get back to gdm prompt.
There, i can open a root session but no "normal" user session.
Also, i can't get a terminal via CTRL+ALT+Fn ! The display remains graphical, mouse freeze and strange lines on top !
But keyboard works fine ! Typing "root" + "password" + "reboot" reboots the system !!!
Everything appends since system upgrade to Xorg 6.8.0.r3 and nothing change if i get Xorg 6.8.1.901

Any idea !!!

Other problen, from root, openOffice restarts X !!!

Reproducible: Always
Steps to Reproduce:
1.Login GDM session with user "christ" (group "users"
2.Session start then crash
3.Back to GDM login

Actual Results:  

This is a pre-release version of the The X.Org Foundation X11.
It is not supported in any way.
Bugs may be filed in the bugzilla at http://bugs.freedesktop.org/.
Select the "xorg" product for bugs you find in this release.
Before reporting bugs in pre-release versions please check the
latest version in the The X.Org Foundation "monolithic tree" CVS
repository hosted at http://www.freedesktop.org/Software/xorg/
X Window System Version 6.8.1.901 (6.8.2 RC 1)
Release Date: 16 December 2004
X Protocol Version 11, Revision 0, Release 6.8.1.901
Build Operating System: Linux 2.6.9-gentoo-r1 i686 [ELF] 
Current Operating System: Linux portable 2.6.9-gentoo-r1 #4 Tue Dec 14 15:30:03
CET 2004 i686
Build Date: 09 January 2005
	Before reporting problems, check http://wiki.X.Org
	to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Sun Jan  9 10:40:52 2005
(==) Using config file: "/etc/X11/xorg.conf"
(==) ServerLayout "Server Layout"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "Monitor0"
(**) |   |-->Device "ATI Graphics Adapter"
(**) |-->Input Device "Keyboard1"
(==) |-->Input Device "<default pointer>"
(WW) The core pointer device wasn't specified explicitly in the layout.
	Using the default mouse configuration.
(**) FontPath set to
"/usr/share/fonts/local/,/usr/share/fonts/misc/,/usr/share/fonts/75dpi/:unscaled,/usr/share/fonts/100dpi/:unscaled,/usr/share/fonts/Type1/,/usr/share/fonts/Speedo/,/usr/share/fonts/75dpi/,/usr/share/fonts/100dpi/"
(**) RgbPath set to "/usr/X11R6/lib/X11/rgb"
(==) ModulePath set to "/usr/lib/modules"
(WW) Open APM failed (/dev/apm_bios) (No such file or directory)
(II) Module ABI versions:
	X.Org ANSI C Emulation: 0.2
	X.Org Video Driver: 0.7
	X.Org XInput driver : 0.4
	X.Org Server Extension : 0.2
	X.Org Font Renderer : 0.4
(II) Loader running on linux
(II) LoadModule: "bitmap"
(II) Loading /usr/lib/modules/fonts/libbitmap.a
(II) Module bitmap: vendor="X.Org Foundation"
	compiled for 6.8.1.901, module version = 1.0.0
	Module class: X.Org Font Renderer
	ABI class: X.Org Font Renderer, version 0.4
(II) Loading font Bitmap
(II) LoadModule: "pcidata"
(II) Loading /usr/lib/modules/libpcidata.a
(II) Module pcidata: vendor="X.Org Foundation"
	compiled for 6.8.1.901, module version = 1.0.0
	ABI class: X.Org Video Driver, version 0.7
(++) using VT number 7

(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 8086,1a30 card 1558,5600 rev 11 class 06,00,00 hdr 00
(II) PCI: 00:01:0: chip 8086,1a31 card 0000,0000 rev 11 class 06,04,00 hdr 01
(II) PCI: 00:1e:0: chip 8086,2448 card 0000,0000 rev 42 class 06,04,00 hdr 01
(II) PCI: 00:1f:0: chip 8086,248c card 0000,0000 rev 02 class 06,01,00 hdr 80
(II) PCI: 00:1f:1: chip 8086,248a card 1558,5600 rev 02 class 01,01,8a hdr 00
(II) PCI: 00:1f:3: chip 8086,2483 card 1558,5600 rev 02 class 0c,05,00 hdr 00
(II) PCI: 00:1f:5: chip 8086,2485 card 1558,5600 rev 02 class 04,01,00 hdr 00
(II) PCI: 00:1f:6: chip 8086,2486 card 1558,5600 rev 02 class 07,03,00 hdr 00
(II) PCI: 01:00:0: chip 1002,4c66 card 1558,5600 rev 01 class 03,00,00 hdr 00
(II) PCI: 02:04:0: chip 104c,8026 card 0000,0000 rev 00 class 0c,00,10 hdr 00
(II) PCI: 02:06:0: chip 10ec,8139 card 1558,5600 rev 10 class 02,00,00 hdr 00
(II) PCI: 02:07:0: chip 1524,1410 card 4800,0000 rev 00 class 06,07,00 hdr 02
(II) PCI: 02:0a:0: chip 1106,3038 card 0925,1234 rev 50 class 0c,03,00 hdr 80
(II) PCI: 02:0a:1: chip 1106,3038 card 0925,1234 rev 50 class 0c,03,00 hdr 80
(II) PCI: 02:0a:2: chip 1106,3104 card 0925,1234 rev 51 class 0c,03,20 hdr 80
(II) PCI: End of PCI scan
(II) Host-to-PCI bridge:
(II) Bus 0: bridge is at (0:0:0), (0,0,3), BCTRL: 0x0008 (VGA_EN is set)
(II) Bus 0 I/O range:
	[0] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 0 non-prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 0 prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
(II) PCI-to-PCI bridge:
(II) Bus 1: bridge is at (0:1:0), (0,1,1), BCTRL: 0x000c (VGA_EN is set)
(II) Bus 1 I/O range:
	[0] -1	0	0x00003000 - 0x000030ff (0x100) IX[B]
	[1] -1	0	0x00003400 - 0x000034ff (0x100) IX[B]
	[2] -1	0	0x00003800 - 0x000038ff (0x100) IX[B]
	[3] -1	0	0x00003c00 - 0x00003cff (0x100) IX[B]
(II) Bus 1 non-prefetchable memory range:
	[0] -1	0	0xe8100000 - 0xe81fffff (0x100000) MX[B]
(II) Bus 1 prefetchable memory range:
	[0] -1	0	0xf0000000 - 0xf7ffffff (0x8000000) MX[B]
(II) PCI-to-PCI bridge:
(II) Bus 2: bridge is at (0:30:0), (0,2,2), BCTRL: 0x0004 (VGA_EN is cleared)
(II) Bus 2 I/O range:
	[0] -1	0	0x00004000 - 0x000040ff (0x100) IX[B]
	[1] -1	0	0x00004400 - 0x000044ff (0x100) IX[B]
	[2] -1	0	0x00004800 - 0x000048ff (0x100) IX[B]
	[3] -1	0	0x00004c00 - 0x00004cff (0x100) IX[B]
(II) Bus 2 non-prefetchable memory range:
	[0] -1	0	0xe8200000 - 0xe82fffff (0x100000) MX[B]
(II) PCI-to-ISA bridge:
(II) Bus -1: bridge is at (0:31:0), (0,-1,-1), BCTRL: 0x0008 (VGA_EN is set)
(II) PCI-to-CardBus bridge:
(II) Bus 3: bridge is at (2:7:0), (2,3,6), BCTRL: 0x0540 (VGA_EN is cleared)
(II) Bus 3 I/O range:
	[0] -1	0	0x00004800 - 0x000048ff (0x100) IX[B]
	[1] -1	0	0x00004c00 - 0x00004cff (0x100) IX[B]
(--) PCI:*(1:0:0) ATI Technologies Inc Radeon R250 Lf [Radeon Mobility 9000 M9]
rev 1, Mem @ 0xf0000000/27, 0xe8100000/16, I/O @ 0x3000/8
(II) Addressable bus resource ranges are
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
	[1] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) OS-reported resource ranges:
	[0] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[6] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
(II) PCI Memory resource overlap reduced 0xec000000 from 0xefffffff to 0xebffffff
(II) Active PCI resource ranges:
	[0] -1	0	0xe8204c00 - 0xe8204cff (0x100) MX[B]
	[1] -1	0	0xe8204800 - 0xe82048ff (0x100) MX[B]
	[2] -1	0	0xe8200000 - 0xe8203fff (0x4000) MX[B]
	[3] -1	0	0xe8204000 - 0xe82047ff (0x800) MX[B]
	[4] -1	0	0x30000000 - 0x300003ff (0x400) MX[B]
	[5] -1	0	0xec000000 - 0xebffffff (0x0) MX[B]O
	[6] -1	0	0xe8100000 - 0xe810ffff (0x10000) MX[B](B)
	[7] -1	0	0xf0000000 - 0xf7ffffff (0x8000000) MX[B](B)
	[8] -1	0	0x00004420 - 0x0000443f (0x20) IX[B]
	[9] -1	0	0x00004400 - 0x0000441f (0x20) IX[B]
	[10] -1	0	0x00004000 - 0x000040ff (0x100) IX[B]
	[11] -1	0	0x00002000 - 0x0000207f (0x80) IX[B]
	[12] -1	0	0x00002400 - 0x000024ff (0x100) IX[B]
	[13] -1	0	0x000018c0 - 0x000018ff (0x40) IX[B]
	[14] -1	0	0x00001c00 - 0x00001cff (0x100) IX[B]
	[15] -1	0	0x00001100 - 0x0000111f (0x20) IX[B]
	[16] -1	0	0x00001860 - 0x0000186f (0x10) IX[B]
	[17] -1	0	0x00003000 - 0x000030ff (0x100) IX[B](B)
(II) Active PCI resource ranges after removing overlaps:
	[0] -1	0	0xe8204c00 - 0xe8204cff (0x100) MX[B]
	[1] -1	0	0xe8204800 - 0xe82048ff (0x100) MX[B]
	[2] -1	0	0xe8200000 - 0xe8203fff (0x4000) MX[B]
	[3] -1	0	0xe8204000 - 0xe82047ff (0x800) MX[B]
	[4] -1	0	0x30000000 - 0x300003ff (0x400) MX[B]
	[5] -1	0	0xec000000 - 0xebffffff (0x0) MX[B]O
	[6] -1	0	0xe8100000 - 0xe810ffff (0x10000) MX[B](B)
	[7] -1	0	0xf0000000 - 0xf7ffffff (0x8000000) MX[B](B)
	[8] -1	0	0x00004420 - 0x0000443f (0x20) IX[B]
	[9] -1	0	0x00004400 - 0x0000441f (0x20) IX[B]
	[10] -1	0	0x00004000 - 0x000040ff (0x100) IX[B]
	[11] -1	0	0x00002000 - 0x0000207f (0x80) IX[B]
	[12] -1	0	0x00002400 - 0x000024ff (0x100) IX[B]
	[13] -1	0	0x000018c0 - 0x000018ff (0x40) IX[B]
	[14] -1	0	0x00001c00 - 0x00001cff (0x100) IX[B]
	[15] -1	0	0x00001100 - 0x0000111f (0x20) IX[B]
	[16] -1	0	0x00001860 - 0x0000186f (0x10) IX[B]
	[17] -1	0	0x00003000 - 0x000030ff (0x100) IX[B](B)
(II) OS-reported resource ranges after removing overlaps with PCI:
	[0] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0	0x00100000 - 0x2fffffff (0x2ff00000) MX[B]E(B)
	[2] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[6] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
(II) All system resource ranges:
	[0] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0	0x00100000 - 0x2fffffff (0x2ff00000) MX[B]E(B)
	[2] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0	0xe8204c00 - 0xe8204cff (0x100) MX[B]
	[6] -1	0	0xe8204800 - 0xe82048ff (0x100) MX[B]
	[7] -1	0	0xe8200000 - 0xe8203fff (0x4000) MX[B]
	[8] -1	0	0xe8204000 - 0xe82047ff (0x800) MX[B]
	[9] -1	0	0x30000000 - 0x300003ff (0x400) MX[B]
	[10] -1	0	0xec000000 - 0xebffffff (0x0) MX[B]O
	[11] -1	0	0xe8100000 - 0xe810ffff (0x10000) MX[B](B)
	[12] -1	0	0xf0000000 - 0xf7ffffff (0x8000000) MX[B](B)
	[13] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[14] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[15] -1	0	0x00004420 - 0x0000443f (0x20) IX[B]
	[16] -1	0	0x00004400 - 0x0000441f (0x20) IX[B]
	[17] -1	0	0x00004000 - 0x000040ff (0x100) IX[B]
	[18] -1	0	0x00002000 - 0x0000207f (0x80) IX[B]
	[19] -1	0	0x00002400 - 0x000024ff (0x100) IX[B]
	[20] -1	0	0x000018c0 - 0x000018ff (0x40) IX[B]
	[21] -1	0	0x00001c00 - 0x00001cff (0x100) IX[B]
	[22] -1	0	0x00001100 - 0x0000111f (0x20) IX[B]
	[23] -1	0	0x00001860 - 0x0000186f (0x10) IX[B]
	[24] -1	0	0x00003000 - 0x000030ff (0x100) IX[B](B)
(II) LoadModule: "dbe"
(II) Loading /usr/lib/modules/extensions/libdbe.a
(II) Module dbe: vendor="X.Org Foundation"
	compiled for 6.8.1.901, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.2
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "extmod"
(II) Loading /usr/lib/modules/extensions/libextmod.a
(II) Module extmod: vendor="X.Org Foundation"
	compiled for 6.8.1.901, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.2
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "type1"
(II) Loading /usr/lib/modules/fonts/libtype1.a
(II) Module type1: vendor="X.Org Foundation"
	compiled for 6.8.1.901, module version = 1.0.2
	Module class: X.Org Font Renderer
	ABI class: X.Org Font Renderer, version 0.4
(II) Loading font Type1
(II) Loading font CID
(II) LoadModule: "freetype"
(II) Loading /usr/lib/modules/fonts/libfreetype.so
(II) Module freetype: vendor="X.Org Foundation & the After X-TT Project"
	compiled for 6.8.1.901, module version = 2.1.0
	Module class: X.Org Font Renderer
	ABI class: X.Org Font Renderer, version 0.4
(II) Loading font FreeType
(II) LoadModule: "glx"
(II) Loading /usr/lib/modules/extensions/libglx.a
(II) Module glx: vendor="X.Org Foundation"
	compiled for 6.8.1.901, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.2
(II) Loading sub module "GLcore"
(II) LoadModule: "GLcore"
(II) Loading /usr/lib/modules/extensions/libGLcore.a
(II) Module GLcore: vendor="X.Org Foundation"
	compiled for 6.8.1.901, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.2
(II) Loading extension GLX
(II) LoadModule: "dri"
(II) Loading /usr/lib/modules/extensions/libdri.a
(II) Module dri: vendor="X.Org Foundation"
	compiled for 6.8.1.901, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.2
(II) Loading sub module "drm"
(II) LoadModule: "drm"
(II) Loading /usr/lib/modules/linux/libdrm.a
(II) Module drm: vendor="X.Org Foundation"
	compiled for 6.8.1.901, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.2
(II) Loading extension XFree86-DRI
(II) LoadModule: "fglrx"
(II) Loading /usr/lib/modules/drivers/fglrx_drv.o
(II) Module fglrx: vendor="Fire GL - ATI Research GmbH, Germany"
	compiled for 4.3.0.1, module version = 3.14.6
	Module class: XFree86 Video Driver
	ABI class: XFree86 Video Driver, version 0.6
(II) LoadModule: "kbd"
(II) Loading /usr/lib/modules/input/kbd_drv.o
(II) Module kbd: vendor="X.Org Foundation"
	compiled for 6.8.1.901, module version = 1.0.0
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 0.4
(II) LoadModule: "mouse"
(II) Loading /usr/lib/modules/input/mouse_drv.o
(II) Module mouse: vendor="X.Org Foundation"
	compiled for 6.8.1.901, module version = 1.0.0
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 0.4
(II) FireGL8700/8800: Driver for chipset: ATI RV250 Id (R9000),
	ATI RV250 Ie (R9000), ATI RV250 If (R9000), ATI RV250 Ig (R9000),
	ATI RV250 Ld (M9), ATI RV250 Le (M9), ATI RV250 Lf (M9),
	ATI RV250 Lg (M9), ATI RV280 5960 (R9200 PRO),
	ATI RV280 Ya (R9200LE), ATI RV250SE Yd (R9200SE),
	ATI RV250 5C61 (M9+), ATI RV250 5C63 (M9+), ATI R200 QH (R8500),
	ATI R200 QL (R8500), ATI R200 QM (R9100), ATI R200 QT (R8500),
	ATI R200 QU (R9100), ATI R200 BB (R8500), ATI RV350 AP (R9600),
	ATI RV350SE AQ (R9600SE), ATI RV350 AR (R9600 PRO),
	ATI RV350 NP (M10), ATI R300 AD (R9500), ATI R300 AE (R9500),
	ATI R300 AF (R9500), ATI R300 AG (Fire GL Z1/X1),
	ATI R300 ND (R9700 PRO), ATI R300 NE (R9700/R9500 PRO),
	ATI R300 NF (R9600 TX), ATI R300 NG (Fire GL X1),
	ATI R350SE AH (R9800SE), ATI R350 AK (Fire GL unknown),
	ATI RV350 AS (Fire GL T2), ATI RV350 AT (Fire GL T2),
	ATI RV350 AU (Fire GL T2), ATI RV350 AV (Fire GL T2),
	ATI RV350 AW (Fire GL T2), ATI R350 NH (R9800),
	ATI R350LE NI (R9800LE), ATI R350 NJ (R9800),
	ATI R350 NK (Fire GL X2), ATI RV350 NT (WS/M10), ATI RV370 5B60,
	ATI RV370 5B61, ATI RV370 5B62, ATI RV370 5B63, ATI RV370 5B64,
	ATI RV370 5B66, ATI RV370 5B67, ATI RV370 5B70, ATI RV370 5B71,
	ATI RV370 5B72, ATI RV370 5B73, ATI RV370 5460, ATI RV370 5461,
	ATI RV370 5462, ATI RV370 5463, ATI RV370 5464, ATI RV370 5465,
	ATI RV370 5466, ATI RV370 5467, ATI RV370 5470, ATI RV370 5471,
	ATI RV370 5472, ATI RV370 5473, ATI RV380 AP, ATI RV380 AQ,
	ATI RV380 AR, ATI RV380 AS, ATI RV380 AT, ATI RV380 AU, ATI RV380 AV,
	ATI RV380 AW, ATI RV380 AP2, ATI RV380 AQ2, ATI RV380 AR2,
	ATI RV380 AS2, ATI RV380 NP, ATI RV380 NQ, ATI RV380 NR,
	ATI RV380 NS, ATI RV380 NT, ATI RV380 NU, ATI RV380 NV, ATI RV380 NW,
	ATI RV380 NP2, ATI RV380 NQ2, ATI RV380 NR2, ATI RV380 NS2,
	ATI R420 JH, ATI R420 JI, ATI R420 JJ, ATI R420 JK, ATI R420 JL,
	ATI R420 JM, ATI R420 JN, ATI R420 JP, ATI R423 UH, ATI R423 UI,
	ATI R423 UJ, ATI R423 UK, ATI R423 UL, ATI R423 UM, ATI R423 ]W,
	ATI R423 UP, ATI R423 UQ, ATI R423 UR, ATI R423 UT, ATI R423 ]H,
	ATI R423 ]I, ATI RV410 VJ, ATI RV410 VK, ATI RV410 VL, ATI RV410 VM,
	ATI RV410 ^H, ATI RV410 ^I, ATI RV410 ^J, ATI RV410 ^K, ATI RV410 ^L,
	ATI RV410 ^M, ATI RV410 ^O, ATI RV410 VR, ATI RV410 VS, ATI RV410 ^R,
	ATI RV410 ^S, ATI RV410 ^U, ATI RS300 IGP, ATI RS350 IGP,
	ATI RS300M IGP
(II) Primary Device is: PCI 01:00:0
(--) Chipset ATI RV250 Lf (M9) found
(II) resource ranges after xf86ClaimFixedResources() call:
	[0] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0	0x00100000 - 0x2fffffff (0x2ff00000) MX[B]E(B)
	[2] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0	0xe8204c00 - 0xe8204cff (0x100) MX[B]
	[6] -1	0	0xe8204800 - 0xe82048ff (0x100) MX[B]
	[7] -1	0	0xe8200000 - 0xe8203fff (0x4000) MX[B]
	[8] -1	0	0xe8204000 - 0xe82047ff (0x800) MX[B]
	[9] -1	0	0x30000000 - 0x300003ff (0x400) MX[B]
	[10] -1	0	0xec000000 - 0xebffffff (0x0) MX[B]O
	[11] -1	0	0xe8100000 - 0xe810ffff (0x10000) MX[B](B)
	[12] -1	0	0xf0000000 - 0xf7ffffff (0x8000000) MX[B](B)
	[13] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[14] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[15] -1	0	0x00004420 - 0x0000443f (0x20) IX[B]
	[16] -1	0	0x00004400 - 0x0000441f (0x20) IX[B]
	[17] -1	0	0x00004000 - 0x000040ff (0x100) IX[B]
	[18] -1	0	0x00002000 - 0x0000207f (0x80) IX[B]
	[19] -1	0	0x00002400 - 0x000024ff (0x100) IX[B]
	[20] -1	0	0x000018c0 - 0x000018ff (0x40) IX[B]
	[21] -1	0	0x00001c00 - 0x00001cff (0x100) IX[B]
	[22] -1	0	0x00001100 - 0x0000111f (0x20) IX[B]
	[23] -1	0	0x00001860 - 0x0000186f (0x10) IX[B]
	[24] -1	0	0x00003000 - 0x000030ff (0x100) IX[B](B)
(II) fglrx(0): pEnt->device->identifier=0x820c740
(II) resource ranges after probing:
	[0] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0	0x00100000 - 0x2fffffff (0x2ff00000) MX[B]E(B)
	[2] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0	0xe8204c00 - 0xe8204cff (0x100) MX[B]
	[6] -1	0	0xe8204800 - 0xe82048ff (0x100) MX[B]
	[7] -1	0	0xe8200000 - 0xe8203fff (0x4000) MX[B]
	[8] -1	0	0xe8204000 - 0xe82047ff (0x800) MX[B]
	[9] -1	0	0x30000000 - 0x300003ff (0x400) MX[B]
	[10] -1	0	0xec000000 - 0xebffffff (0x0) MX[B]O
	[11] -1	0	0xe8100000 - 0xe810ffff (0x10000) MX[B](B)
	[12] -1	0	0xf0000000 - 0xf7ffffff (0x8000000) MX[B](B)
	[13] 0	0	0x000a0000 - 0x000affff (0x10000) MS[B]
	[14] 0	0	0x000b0000 - 0x000b7fff (0x8000) MS[B]
	[15] 0	0	0x000b8000 - 0x000bffff (0x8000) MS[B]
	[16] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[17] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[18] -1	0	0x00004420 - 0x0000443f (0x20) IX[B]
	[19] -1	0	0x00004400 - 0x0000441f (0x20) IX[B]
	[20] -1	0	0x00004000 - 0x000040ff (0x100) IX[B]
	[21] -1	0	0x00002000 - 0x0000207f (0x80) IX[B]
	[22] -1	0	0x00002400 - 0x000024ff (0x100) IX[B]
	[23] -1	0	0x000018c0 - 0x000018ff (0x40) IX[B]
	[24] -1	0	0x00001c00 - 0x00001cff (0x100) IX[B]
	[25] -1	0	0x00001100 - 0x0000111f (0x20) IX[B]
	[26] -1	0	0x00001860 - 0x0000186f (0x10) IX[B]
	[27] -1	0	0x00003000 - 0x000030ff (0x100) IX[B](B)
	[28] 0	0	0x000003b0 - 0x000003bb (0xc) IS[B]
	[29] 0	0	0x000003c0 - 0x000003df (0x20) IS[B]
(II) Setting vga for screen 0.
(II) fglrx(0): === [R200PreInit] === begin, [s]
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Loading /usr/lib/modules/libvgahw.a
(II) Module vgahw: vendor="X.Org Foundation"
	compiled for 6.8.1.901, module version = 0.1.0
	ABI class: X.Org Video Driver, version 0.7
(II) fglrx(0): PCI bus 1 card 0 func 0
(**) fglrx(0): Depth 24, (--) framebuffer bpp 32
(II) fglrx(0): Pixel depth = 24 bits stored in 4 bytes (32 bpp pixmaps)
(==) fglrx(0): Default visual is TrueColor
(**) fglrx(0): Option "NoAccel" "no"
(**) fglrx(0): Option "NoDRI" "no"
(**) fglrx(0): Option "Capabilities" "0x00000000"
(**) fglrx(0): Option "GammaCorrectionI" "0x00000000"
(**) fglrx(0): Option "GammaCorrectionII" "0x00000000"
(**) fglrx(0): Option "OpenGLOverlay" "off"
(**) fglrx(0): Option "VideoOverlay" "on"
(**) fglrx(0): Option "DesktopSetup" "0x00000100"
(**) fglrx(0): Option "MonitorLayout" "AUTO, AUTO"
(**) fglrx(0): Option "HSync2" "30-96"
(**) fglrx(0): Option "VRefresh2" "50-160"
(**) fglrx(0): Option "ScreenOverlap" "0"
(**) fglrx(0): Option "IgnoreEDID" "off"
(**) fglrx(0): Option "UseInternalAGPGART" "yes"
(**) fglrx(0): Option "Stereo" "off"
(**) fglrx(0): Option "StereoSyncEnable" "1"
(**) fglrx(0): Option "UseFastTLS" "2"
(**) fglrx(0): Option "BlockSignalsOnLock" "on"
(**) fglrx(0): Option "ForceGenericCPU" "no"
(**) fglrx(0): Option "CenterMode" "off"
(**) fglrx(0): Option "FSAAScale" "1"
(**) fglrx(0): Option "FSAAEnable" "no"
(**) fglrx(0): Option "FSAADisableGamma" "no"
(**) fglrx(0): Option "FSAACustomizeMSPos" "no"
(**) fglrx(0): Option "FSAAMSPosX0" "0.000000"
(**) fglrx(0): Option "FSAAMSPosY0" "0.000000"
(**) fglrx(0): Option "FSAAMSPosX1" "0.000000"
(**) fglrx(0): Option "FSAAMSPosY1" "0.000000"
(**) fglrx(0): Option "FSAAMSPosX2" "0.000000"
(**) fglrx(0): Option "FSAAMSPosY2" "0.000000"
(**) fglrx(0): Option "FSAAMSPosX3" "0.000000"
(**) fglrx(0): Option "FSAAMSPosY3" "0.000000"
(**) fglrx(0): Option "FSAAMSPosX4" "0.000000"
(**) fglrx(0): Option "FSAAMSPosY4" "0.000000"
(**) fglrx(0): Option "FSAAMSPosX5" "0.000000"
(**) fglrx(0): Option "FSAAMSPosY5" "0.000000"
(**) fglrx(0): Option "NoTV" "no"
(**) fglrx(0): Option "TVStandard" "PAL-B"
(**) fglrx(0): Option "TVHSizeAdj" "0"
(**) fglrx(0): Option "TVVSizeAdj" "0"
(**) fglrx(0): Option "TVHPosAdj" "0"
(**) fglrx(0): Option "TVVPosAdj" "0"
(**) fglrx(0): Option "TVHStartAdj" "0"
(**) fglrx(0): Option "TVColorAdj" "0"
(**) fglrx(0): Option "PseudoColorVisuals" "off"
(**) fglrx(0): Qbs disabled
(==) fglrx(0): RGB weight 888
(II) fglrx(0): Using 8 bits per RGB (8 bit DAC)
(**) fglrx(0): Gamma Correction for I is 0x00000000
(**) fglrx(0): Gamma Correction for II is 0x00000000
(==) fglrx(0): Buffer Tiling is ON
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/lib/modules/linux/libint10.a
(II) Module int10: vendor="X.Org Foundation"
	compiled for 6.8.1.901, module version = 1.0.0
	ABI class: X.Org Video Driver, version 0.7
(II) fglrx(0): initializing int10
(II) fglrx(0): Primary V_BIOS segment is: 0xc000
(**) fglrx(0): Option "mtrr" "off"
(--) fglrx(0): Chipset: "ATI RV250 Lf (M9)" (Chipset = 0x4c66)
(--) fglrx(0): (PciSubVendor = 0x1558, PciSubDevice = 0x5600)
(--) fglrx(0): board vendor info: third party grafics adapter - NOT original ATI
(--) fglrx(0): Linear framebuffer (phys) at 0xf0000000
(--) fglrx(0): MMIO registers at 0xe8100000
(--) fglrx(0): ChipExtRevID = 0x01
(--) fglrx(0): ChipIntRevID = 0x00
(--) fglrx(0): VideoRAM: 65536 kByte (64-bit DDR SDRAM)
(WW) fglrx(0): board is an unknown third party board, chipset is supported
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Loading /usr/lib/modules/libddc.a
(II) Module ddc: vendor="X.Org Foundation"
	compiled for 6.8.1.901, module version = 1.0.0
	ABI class: X.Org Video Driver, version 0.7
(II) Loading sub module "i2c"
(II) LoadModule: "i2c"
(II) Loading /usr/lib/modules/libi2c.a
(II) Module i2c: vendor="X.Org Foundation"
	compiled for 6.8.1.901, module version = 1.2.0
	ABI class: X.Org Video Driver, version 0.7
(II) fglrx(0): I2C bus "DDC" initialized.
(II) fglrx(0): Connector Layout from BIOS -------- 
(II) fglrx(0): Connector1: DDCType-3, DACType-0, TMDSType--1, ConnectorType-2
(**) fglrx(0): MonitorLayout Option: 
	Monitor1--Type AUTO, Monitor2--Type AUTO

(II) fglrx(0): I2C device "DDC:ddc2" registered at address 0xA0.
(II) fglrx(0): I2C device "DDC:ddc2" removed.
(II) fglrx(0): I2C device "DDC:ddc2" registered at address 0xA0.
(II) fglrx(0): I2C device "DDC:ddc2" removed.
(II) fglrx(0): I2C device "DDC:ddc2" registered at address 0xA0.
(II) fglrx(0): I2C device "DDC:ddc2" removed.
(II) fglrx(0): DDC detected on DDCType 3 with Monitor Type 0
(II) fglrx(0): Primary head:
 Monitor   -- LVDS
 Connector -- None
 DAC Type  -- Unknown
 TMDS Type -- NONE
 DDC Type  -- NONE
(II) fglrx(0): Secondary head:
 Monitor   -- NONE
 Connector -- VGA
 DAC Type  -- Primary
 TMDS Type -- NONE
 DDC Type  -- VGA_DDC
(II) fglrx(0): 
(WW) fglrx(0): Only single display is connected, DesktopOption will be ignored
(II) fglrx(0): DesktopSetup 0x0000
(II) fglrx(0): Panel ID string: LG 1600x1200            
(II) fglrx(0): Panel Size from BIOS: 1600x1200
(**) fglrx(0):  PseudoColor visuals disabled
(**) fglrx(0): Overlay disabled
(**) fglrx(0): Overlay disabled
(II) fglrx(0): PLL parameters: rf=2700 rd=12 min=20000 max=35000
(==) fglrx(0): Using gamma correction (1.0, 1.0, 1.0)
(**) fglrx(0): Center Mode is disabled 
(==) fglrx(0): TMDS coherent mode is enabled 
(II) fglrx(0): Valid mode using on-chip RMX: 1600x1200
(II) fglrx(0): Valid mode using on-chip RMX: 1280x1024
(II) fglrx(0): Valid mode using on-chip RMX: 1024x768
(II) fglrx(0): Valid mode using on-chip RMX: 800x600
(II) fglrx(0): Valid mode using on-chip RMX: 640x480
(II) fglrx(0): Total 5 valid mode(s) found.
(--) fglrx(0): Virtual size is 1600x1200 (pitch 1600)
(**) fglrx(0): *Mode "1600x1200": 162.0 MHz (scaled from 0.0 MHz), 75.0 kHz, 60.1 Hz
(II) fglrx(0): Modeline "1600x1200"  162.00  1600 1656 1848 2160  1200 1202 1205
1248
(**) fglrx(0): *Mode "1280x1024": 162.0 MHz (scaled from 0.0 MHz), 75.0 kHz, 60.1 Hz
(II) fglrx(0): Modeline "1280x1024"  162.00  1280 1656 1848 2160  1024 1202 1205
1248
(**) fglrx(0): *Mode "1024x768": 162.0 MHz (scaled from 0.0 MHz), 75.0 kHz, 60.1 Hz
(II) fglrx(0): Modeline "1024x768"  162.00  1024 1656 1848 2160  768 1202 1205 1248
(**) fglrx(0): *Mode "800x600": 162.0 MHz (scaled from 0.0 MHz), 75.0 kHz, 60.1 Hz
(II) fglrx(0): Modeline "800x600"  162.00  800 1656 1848 2160  600 1202 1205 1248
(**) fglrx(0): *Mode "640x480": 162.0 MHz (scaled from 0.0 MHz), 75.0 kHz, 60.1 Hz
(II) fglrx(0): Modeline "640x480"  162.00  640 1656 1848 2160  480 1202 1205 1248
(==) fglrx(0): DPI set to (75, 75)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/lib/modules/libfb.a
(II) Module fb: vendor="X.Org Foundation"
	compiled for 6.8.1.901, module version = 1.0.0
	ABI class: X.Org ANSI C Emulation, version 0.2
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"
(II) Loading /usr/lib/modules/libramdac.a
(II) Module ramdac: vendor="X.Org Foundation"
	compiled for 6.8.1.901, module version = 0.1.0
	ABI class: X.Org Video Driver, version 0.7
(**) fglrx(0): NoAccel = NO
(II) Loading sub module "xaa"
(II) LoadModule: "xaa"
(II) Loading /usr/lib/modules/libxaa.a
(II) Module xaa: vendor="X.Org Foundation"
	compiled for 6.8.1.901, module version = 1.2.0
	ABI class: X.Org Video Driver, version 0.7
(==) fglrx(0): HPV inactive
(==) fglrx(0): FSAA enabled: NO
(**) fglrx(0): FSAA Gamma enabled
(**) fglrx(0): FSAA Multisample Position is fix
(**) fglrx(0): NoDRI = NO
(II) Loading sub module "fglrxdrm"
(II) LoadModule: "fglrxdrm"
(II) Loading /usr/lib/modules/linux/libfglrxdrm.a
(II) Module fglrxdrm: vendor="Fire GL - ATI Research GmbH, Germany"
	compiled for 4.3.0.1, module version = 3.14.6
	ABI class: XFree86 Server Extension, version 0.2
(II) fglrx(0): Depth moves disabled by default
(**) fglrx(0): Capabilities: 0x00000000
(**) fglrx(0): cpuFlags: 0x8000001d
(**) fglrx(0): cpuSpeedMHz: 0x0000095f
(==) fglrx(0): OpenGL ClientDriverName: "fglrx_dri.so"
(**) fglrx(0): using built in AGPGART module: yes
(**) fglrx(0): UseFastTLS=2
(**) fglrx(0): BlockSignalsOnLock=1
(==) fglrx(0): EnablePrivateBackZ = NO
(--) Depth 24 pixmap format is 32 bpp
(II) do I need RAC?  No, I don't.
(II) resource ranges after preInit:
	[0] 0	0	0xe8100000 - 0xe810ffff (0x10000) MX[B]
	[1] 0	0	0xf0000000 - 0xf7ffffff (0x8000000) MX[B]
	[2] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[3] -1	0	0x00100000 - 0x2fffffff (0x2ff00000) MX[B]E(B)
	[4] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[5] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[6] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[7] -1	0	0xe8204c00 - 0xe8204cff (0x100) MX[B]
	[8] -1	0	0xe8204800 - 0xe82048ff (0x100) MX[B]
	[9] -1	0	0xe8200000 - 0xe8203fff (0x4000) MX[B]
	[10] -1	0	0xe8204000 - 0xe82047ff (0x800) MX[B]
	[11] -1	0	0x30000000 - 0x300003ff (0x400) MX[B]
	[12] -1	0	0xec000000 - 0xebffffff (0x0) MX[B]O
	[13] -1	0	0xe8100000 - 0xe810ffff (0x10000) MX[B](B)
	[14] -1	0	0xf0000000 - 0xf7ffffff (0x8000000) MX[B](B)
	[15] 0	0	0x000a0000 - 0x000affff (0x10000) MS[B]
	[16] 0	0	0x000b0000 - 0x000b7fff (0x8000) MS[B]
	[17] 0	0	0x000b8000 - 0x000bffff (0x8000) MS[B]
	[18] 0	0	0x00003000 - 0x000030ff (0x100) IX[B]
	[19] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[20] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[21] -1	0	0x00004420 - 0x0000443f (0x20) IX[B]
	[22] -1	0	0x00004400 - 0x0000441f (0x20) IX[B]
	[23] -1	0	0x00004000 - 0x000040ff (0x100) IX[B]
	[24] -1	0	0x00002000 - 0x0000207f (0x80) IX[B]
	[25] -1	0	0x00002400 - 0x000024ff (0x100) IX[B]
	[26] -1	0	0x000018c0 - 0x000018ff (0x40) IX[B]
	[27] -1	0	0x00001c00 - 0x00001cff (0x100) IX[B]
	[28] -1	0	0x00001100 - 0x0000111f (0x20) IX[B]
	[29] -1	0	0x00001860 - 0x0000186f (0x10) IX[B]
	[30] -1	0	0x00003000 - 0x000030ff (0x100) IX[B](B)
	[31] 0	0	0x000003b0 - 0x000003bb (0xc) IS[B]
	[32] 0	0	0x000003c0 - 0x000003df (0x20) IS[B]
(II) fglrx(0): UMM area:     0xf0954000 (size=0x036ac000)
(II) fglrx(0): driver needs XFree86 version: 4.3.x
(WW) fglrx(0): could not detect XFree86 version (query_status=-3)
(II) Loading extension ATIFGLRXDRI
(II) fglrx(0): doing DRIScreenInit
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 5, (OK)
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 5, (OK)
drmOpenByBusid: Searching for BusID PCI:1:0:0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 5, (OK)
drmOpenByBusid: drmOpenMinor returns 5
drmOpenByBusid: drmGetBusid reports 
drmOpenDevice: node name is /dev/dri/card1
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: Open failed
drmOpenByBusid: drmOpenMinor returns -1023
drmOpenDevice: node name is /dev/dri/card2
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: Open failed
drmOpenByBusid: drmOpenMinor returns -1023
drmOpenDevice: node name is /dev/dri/card3
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: Open failed
drmOpenByBusid: drmOpenMinor returns -1023
drmOpenDevice: node name is /dev/dri/card4
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: Open failed
drmOpenByBusid: drmOpenMinor returns -1023
drmOpenDevice: node name is /dev/dri/card5
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: Open failed
drmOpenByBusid: drmOpenMinor returns -1023
drmOpenDevice: node name is /dev/dri/card6
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: Open failed
drmOpenByBusid: drmOpenMinor returns -1023
drmOpenDevice: node name is /dev/dri/card7
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: Open failed
drmOpenByBusid: drmOpenMinor returns -1023
drmOpenDevice: node name is /dev/dri/card8
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: Open failed
drmOpenByBusid: drmOpenMinor returns -1023
drmOpenDevice: node name is /dev/dri/card9
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: Open failed
drmOpenByBusid: drmOpenMinor returns -1023
drmOpenDevice: node name is /dev/dri/card10
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: Open failed
drmOpenByBusid: drmOpenMinor returns -1023
drmOpenDevice: node name is /dev/dri/card11
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: Open failed
drmOpenByBusid: drmOpenMinor returns -1023
drmOpenDevice: node name is /dev/dri/card12
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: Open failed
drmOpenByBusid: drmOpenMinor returns -1023
drmOpenDevice: node name is /dev/dri/card13
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: Open failed
drmOpenByBusid: drmOpenMinor returns -1023
drmOpenDevice: node name is /dev/dri/card14
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: Open failed
drmOpenByBusid: drmOpenMinor returns -1023
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 5, (OK)
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 5, (OK)
drmGetBusid returned ''
(II) fglrx(0): [drm] DRM interface version 1.0
(II) fglrx(0): [drm] created "fglrx" driver at busid "PCI:1:0:0"
(II) fglrx(0): [drm] added 8192 byte SAREA at 0xf0989000
(II) fglrx(0): [drm] mapped SAREA 0xf0989000 to 0xb7d40000
(II) fglrx(0): [drm] framebuffer handle = 0xf0000000
(II) fglrx(0): [drm] added 1 reserved context for kernel
(II) fglrx(0): DRIScreenInit done
(II) fglrx(0): Kernel Module Version Information:
(II) fglrx(0):     Name: fglrx
(II) fglrx(0):     Version: 3.14.6
(II) fglrx(0):     Date: Oct 30 2004
(II) fglrx(0):     Desc: ATI Fire GL DRM kernel module
(II) fglrx(0): Kernel Module version matches driver.
(II) fglrx(0): Kernel Module Build Time Information:
(II) fglrx(0):     Build-Kernel UTS_RELEASE:        2.6.9-gentoo-r1
(II) fglrx(0):     Build-Kernel MODVERSIONS:        no
(II) fglrx(0):     Build-Kernel __SMP__:            no
(II) fglrx(0):     Build-Kernel PAGE_SIZE:          0x1000
(II) fglrx(0): [drm] register handle = 0xe8100000
(II) fglrx(0): [agp] Mode=0x1f000217 bridge: 0x8086/0x1a30
(II) fglrx(0): [agp] AGP v1/2 disable mask 0x00000000
(II) fglrx(0): [agp] AGP v3 disable mask   0x00000000
(II) fglrx(0): [agp] enabling AGP with mode=0x1f000314
(II) fglrx(0): [agp] AGP protocoll is enabled for grafics board. (cmd=0x1f000314)
(II) fglrx(0): [agp] grafics chipset has AGP v2.0
(II) fglrx(0): [drm] ringbuffer size = 0x00100000 bytes
(II) fglrx(0): [drm] DRM buffer queue setup: nbufs = 100 bufsize = 28672
(II) fglrx(0): [drm] texture shared area handle = 0xf4c01000
(II) fglrx(0): shared FSAAScale=1
(II) fglrx(0): DRI initialization successfull!
(II) fglrx(0): FBADPhys: 0xf0000000 FBMappedSize: 0x00954000
(II) fglrx(0): FBMM initialized for area (0,0)-(1600,1528)
(II) fglrx(0): FBMM auto alloc for area (0,0)-(1600,1200) (front color buffer -
assumption)
(==) fglrx(0): Backing store disabled
(==) fglrx(0): Silken mouse enabled
(II) fglrx(0): Using hardware cursor (scanline 1200)
(II) fglrx(0): Largest offscreen area available: 1600 x 320
(**) Option "dpms"
(**) fglrx(0): DPMS enabled
(II) fglrx(0): Using XFree86 Acceleration Architecture (XAA)
	Screen to screen bit blits
	Solid filled rectangles
	8x8 mono pattern filled rectangles
	Solid Lines
	Dashed Lines
	Offscreen Pixmaps
	Setting up tile and stipple cache:
		24 128x128 slots
(II) fglrx(0): Acceleration enabled
(II) fglrx(0): X context handle = 0x00000001
(II) fglrx(0): [DRI] installation complete
(II) fglrx(0): Direct rendering enabled
(II) Loading extension FGLRXEXTENSION
(II) Loading extension ATITVOUT
(==) RandR enabled
(II) Setting vga for screen 0.
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension LBX
(II) Initializing built-in extension XC-APPGROUP
(II) Initializing built-in extension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFIXES
(II) Initializing built-in extension XFree86-Bigfont
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(II) Initializing built-in extension COMPOSITE
(II) Initializing built-in extension DAMAGE
(II) Initializing built-in extension XEVIE
No matching visual for __GLcontextMode with visual class = -1 (-1), nplanes = 0
No matching visual for __GLcontextMode with visual class = -1 (-1), nplanes = 0
No matching visual for __GLcontextMode with visual class = -1 (-1), nplanes = 0
No matching visual for __GLcontextMode with visual class = -1 (-1), nplanes = 0
No matching visual for __GLcontextMode with visual class = -1 (-1), nplanes = 0
No matching visual for __GLcontextMode with visual class = -1 (-1), nplanes = 0
No matching visual for __GLcontextMode with visual class = -1 (-1), nplanes = 0
No matching visual for __GLcontextMode with visual class = -1 (-1), nplanes = 0
No matching visual for __GLcontextMode with visual class = -1 (-1), nplanes = 0
No matching visual for __GLcontextMode with visual class = -1 (-1), nplanes = 0
(**) Option "CoreKeyboard"
(**) Keyboard1: Core Keyboard
(**) Option "Protocol" "standard"
(**) Keyboard1: Protocol: standard
(**) Option "AutoRepeat" "500 30"
(**) Option "XkbRules" "xorg"
(**) Keyboard1: XkbRules: "xorg"
(**) Option "XkbModel" "pc102"
(**) Keyboard1: XkbModel: "pc102"
(**) Option "XkbLayout" "fr"
(**) Keyboard1: XkbLayout: "fr"
(**) Option "CustomKeycodes" "off"
(**) Keyboard1: CustomKeycodes disabled
(WW) <default pointer>: No Device specified, looking for one...
(II) <default pointer>: Setting Device option to "/dev/psaux"
(--) <default pointer>: Device: "/dev/psaux"
(==) <default pointer>: Protocol: "Auto"
(**) Option "CorePointer"
(**) <default pointer>: Core Pointer
(==) <default pointer>: Emulate3Buttons, Emulate3Timeout: 50
(==) <default pointer>: Buttons: 3
(**) <default pointer>: SmartScroll: 1 
(II) XINPUT: Adding extended input device "<default pointer>" (type: MOUSE)
(II) XINPUT: Adding extended input device "Keyboard1" (type: KEYBOARD)
(--) <default pointer>: PnP-detected protocol: "ExplorerPS/2"
(II) <default pointer>: ps2EnableDataReporting: succeeded
Could not init font path element /usr/share/fonts/local/, removing from list!
Could not init font path element /usr/share/fonts/Speedo/, removing from list!
AUDIT: Sun Jan  9 10:40:55 2005: 7695 X: client 2 rejected from local host
  Auth name: MIT-MAGIC-COOKIE-1 ID: -1
AUDIT: Sun Jan  9 10:40:55 2005: 7695 X: client 2 rejected from local host
  Auth name: MIT-MAGIC-COOKIE-1 ID: -1
AUDIT: Sun Jan  9 10:40:55 2005: 7695 X: client 2 rejected from local host
  Auth name: MIT-MAGIC-COOKIE-1 ID: -1
AUDIT: Sun Jan  9 10:40:55 2005: 7695 X: client 2 rejected from local host
  Auth name: MIT-MAGIC-COOKIE-1 ID: -1
AUDIT: Sun Jan  9 10:40:55 2005: 7695 X: client 2 rejected from local host
  Auth name: MIT-MAGIC-COOKIE-1 ID: -1
AUDIT: Sun Jan  9 10:41:42 2005: 7695 X: client 5 rejected from local host

   *** If unresolved symbols were reported above, they might not
   *** be the reason for the server aborting.

Fatal server error:
Caught signal 11.  Server aborting


Please consult the The X.Org Foundation support 
	 at http://wiki.X.Org
 for help. 
Please also check the log file at "/var/log/Xorg.0.log" for additional information.



Expected Results:  
Open a gnome session !!!
Comment 1 Carsten Lohrke (RETIRED) gentoo-dev 2005-01-09 05:59:55 UTC
Christphe: PLease use Gentoo Linux -> Component: Ebuilds. Infrastructure is the wrong addressee
Comment 2 Carsten Lohrke (RETIRED) gentoo-dev 2005-01-09 06:02:41 UTC
*** Bug 77208 has been marked as a duplicate of this bug. ***
Comment 3 Benoit Boissinot 2005-01-09 12:21:41 UTC
What kernel are you using ? (there are know problems with 2.6.10-mm2)

regards,

Benoit
Comment 4 Guy 2005-01-09 15:28:16 UTC
I'm having the same problem of xorg crashing on non root sessions.

I can open mulitple sessions of KDE-3.3.2 and fluxbox only so long as I open them as root. I can't open any xsessions as a regular user.

This is not a joyful experience.
Comment 5 Guy 2005-01-09 15:29:06 UTC
I forgot to note: I'm using development-sources-2.6.10.
Comment 6 Guy 2005-01-09 20:54:45 UTC
I've tried all the xorg-x11 ebuilds dating back to version 6.7.0-r3. I still can't initiate an xsession for any users other than root.

I did an emerge -uDv world last night which included 150 packages. If someone can give me instructions on how, I can provide the list of packages updated.

I compiled and installed my development-sources-2.6.10 kernel on Dec 29th. I did not emerge any new packages until the evening of Jan 8th. Everything was working fine then. I do not recall which version of xorg-x11 I was running prior to last night's 'emerge world'. The only problem I ran into at the time of 'emerge world' was the gnutls problem. I resolved that by re-emerging libsoup.

All earlier versions of xorg-x11 ebuilds have been deleted by emerge sync.

Some advice would be sincerely appreciated as I this is my main workstation at home and I'm not prepared to intall and run commandline email clients etc.

Just a guess, but I'm beginning to lean towards the idea that there is another package involved in this problem besides the kernel I'm using and xorg-x11.
Comment 7 Donnie Berkholz (RETIRED) gentoo-dev 2005-01-09 20:58:26 UTC
A few easy things to check are permissions:
ls -ld /tmp/.X11-unix /tmp/.ICE-unix /tmp /usr/X11R6/bin/X*

A nice tool for checking emerge times of particular packages is splat. For example, `splat xorg-x11`.

You definitely shouldn't be running ati-drivers together with xorg 6.8, the latest ati release doesn't work with 6.8.
Comment 8 Guy 2005-01-09 21:02:45 UTC
As a test, I booted with my development-sources-2.6.9 kernel compiled on Dec 4.

I still cannot initiate any xsessions for any user other than root.

I do not consider this to be a kernel problem.
Comment 9 Guy 2005-01-09 21:19:55 UTC
Im response to comment #7:

First of all, thank you for responding!

drwxrwxrwt  42 root root    3072 Jan 10 00:02 /tmp
drwxrwxrwt   2 root root      48 Jan 10 00:00 /tmp/.ICE-unix/
drwxrwxrwt   2 root root      72 Jan 10 00:02 /tmp/.X11-unix
lrwxrwxrwx   1 root root       4 Jan  9 22:52 /usr/X11R6//bin/X -> Xorg
-rwxr-xr-x   1 root root   27494 Jan  9 22:52 /usr/X11R6//bin/Xmark
-rwxr-xr-x   1 root root 3572076 Jan  9 22:52 /usr/X11R6//bin/Xnest
-rws--x--x   1 root root 2002075 Jan  9 22:52 /usr/X11R6//bin/Xorg
-rwxr-xr-x   1 root root 2147080 Jan  9 22:52 /usr/X11R6//bin/Xprt
-rwxr-xr-x   1 root root 3892788 Jan  9 22:52 /usr/X11R6//bin/Xvfb

I see that Xorg is different, but I don't know if it's supposed to be identical to the others. Also, while I can handle basic permisions {rwx}, I'm not advanced beyond that.

I have no 3rd party drivers loaded. I use only the vesa driver. This is because I use the built in GPU of the Via K400A chipset. It's been working fine till now.

Thank you for pointing out 'splat'. I had to emerge it first though. :-)

Last version of xorg-x11 prior to last night was:

* x11-base/xorg-x11-6.8.0-r3

	Emerged at: Wed Nov 17 19:58:38 2004
	Build time: 55 minutes, and 54 seconds

I'm guessing I need to change the permissions on Xorg as noted above. Is this correct? And can you give me the exact command{s}? I'd hate to make a permissions mistake through my personal ignorance.

:-)
Comment 10 Guy 2005-01-09 21:38:25 UTC
From the log file, I get these messages when attempting to initiate an xsession for a non-root user:

_XSERVTransSocketOpenCOTSServer: Unable to open socket for inet6
_XSERVTransOpen: transport open failed for inet6/dragonfyre:3
_XSERVTransMakeAllCOTSServerListeners: failed to open listener for inet6
Comment 11 Guy 2005-01-10 05:12:58 UTC
For What It's Worth, these are all the packages I've emerged starting Jan 8th. I have no idea as too which of these, if any, may be impacting this issue:

.oOo.

* net-im/ymessenger-1.0.4.1-r1

	Emerged at: Sat Jan  8 02:27:32 2005
	Build time: 56 seconds

 * media-libs/libj2k-0.0.9

	Emerged at: Sat Jan  8 16:46:20 2005
	Build time: 1 minute, and 3 seconds

 * sys-devel/binutils-config-1.6

	Emerged at: Sat Jan  8 23:15:58 2005
	Build time: 1 minute, and 3 seconds

 * sys-apps/texinfo-4.8

	Emerged at: Sat Jan  8 23:17:01 2005
	Build time: 1 minute, and 59 seconds

 * sys-apps/diffutils-2.8.7-r1

	Emerged at: Sat Jan  8 23:19:00 2005
	Build time: 1 minute, and 16 seconds

 * sys-apps/grep-2.5.1-r7

	Emerged at: Sat Jan  8 23:20:16 2005
	Build time: 52 seconds

 * media-libs/libpng-1.2.8

	Emerged at: Sat Jan  8 23:21:08 2005
	Build time: 1 minute, and 40 seconds

 * app-arch/cpio-2.6

	Emerged at: Sat Jan  8 23:22:48 2005
	Build time: 1 minute, and 17 seconds

 * x11-terms/xterm-197

	Emerged at: Sat Jan  8 23:24:05 2005
	Build time: 1 minute, and 7 seconds

 * sys-devel/gcc-config-1.3.9

	Emerged at: Sat Jan  8 23:25:12 2005
	Build time: 46 seconds

 * sys-kernel/linux26-headers-2.6.8.1-r2

	Emerged at: Sat Jan  8 23:25:58 2005
	Build time: 2 minutes, and 40 seconds

 * sys-apps/sysvinit-2.86

	Emerged at: Sat Jan  8 23:28:38 2005
	Build time: 43 seconds

 * sys-apps/man-1.5o_p2

	Emerged at: Sat Jan  8 23:29:21 2005
	Build time: 54 seconds

 * media-libs/tiff-3.7.1-r1

	Emerged at: Sat Jan  8 23:30:15 2005
	Build time: 2 minutes, and 47 seconds

 * dev-util/indent-2.2.9-r2

	Emerged at: Sat Jan  8 23:33:02 2005
	Build time: 57 seconds

 * net-print/cups-1.1.23

	Emerged at: Sat Jan  8 23:33:59 2005
	Build time: 3 minutes, and 18 seconds

 * dev-python/egenix-mx-base-2.0.6

	Emerged at: Sat Jan  8 23:37:17 2005
	Build time: 59 seconds

 * sys-kernel/development-sources-2.6.10-r1

	Emerged at: Sat Jan  8 23:38:16 2005
	Build time: 17 minutes, and 31 seconds

 * media-sound/alsa-headers-1.0.8_rc1

	Emerged at: Sat Jan  8 23:55:47 2005
	Build time: 49 seconds

 * media-libs/alsa-lib-1.0.8_rc1

	Emerged at: Sat Jan  8 23:56:36 2005
	Build time: 2 minutes, and 51 seconds

 * dev-libs/libpcre-5.0

	Emerged at: Sat Jan  8 23:59:27 2005
	Build time: 1 minute, and 28 seconds

 * kde-base/kdelibs-3.3.2-r2

	Emerged at: Sun Jan  9 00:00:55 2005
	Build time: 2 hours, 13 minutes, and 11 seconds

 * dev-libs/libtasn1-0.2.13

	Emerged at: Sun Jan  9 02:14:06 2005
	Build time: 55 seconds

 * net-libs/gnutls-1.0.23

	Emerged at: Sun Jan  9 02:15:01 2005
	Build time: 3 minutes, and 29 seconds

 * app-arch/gzip-1.3.5-r5

	Emerged at: Sun Jan  9 02:18:30 2005
	Build time: 36 seconds

 * app-crypt/gnupg-1.4.0-r1

	Emerged at: Sun Jan  9 02:19:06 2005
	Build time: 2 minutes, and 16 seconds

 * app-crypt/qca-1.0-r1

	Emerged at: Sun Jan  9 02:21:22 2005
	Build time: 25 seconds

 * app-crypt/qca-tls-1.0-r1

	Emerged at: Sun Jan  9 02:21:47 2005
	Build time: 30 seconds

 * x11-themes/psi-themes-0.9.3_p1-r2

	Emerged at: Sun Jan  9 02:22:17 2005
	Build time: 22 seconds

 * x11-libs/libwnck-2.8.1-r1

	Emerged at: Sun Jan  9 02:22:39 2005
	Build time: 1 minute, and 53 seconds

 * gnome-base/libgnomeprint-2.8.2

	Emerged at: Sun Jan  9 02:24:32 2005
	Build time: 2 minutes, and 50 seconds

 * gnome-base/libgnomeprintui-2.8.2

	Emerged at: Sun Jan  9 02:27:22 2005
	Build time: 1 minute, and 53 seconds

 * media-libs/gstreamer-0.8.8

	Emerged at: Sun Jan  9 09:26:54 2005
	Build time: 11 minutes

 * media-libs/gst-plugins-0.8.7

	Emerged at: Sun Jan  9 09:39:11 2005
	Build time: 10 minutes, and 40 seconds

 * media-plugins/gst-plugins-vorbis-0.8.7

	Emerged at: Sun Jan  9 09:49:51 2005
	Build time: 1 minute, and 21 seconds

 * media-plugins/gst-plugins-esd-0.8.7

	Emerged at: Sun Jan  9 09:51:12 2005
	Build time: 1 minute, and 14 seconds

 * media-plugins/gst-plugins-alsa-0.8.7

	Emerged at: Sun Jan  9 09:52:26 2005
	Build time: 1 minute, and 11 seconds

 * media-plugins/gst-plugins-oss-0.8.7

	Emerged at: Sun Jan  9 09:53:37 2005
	Build time: 1 minute, and 5 seconds

 * media-plugins/gst-plugins-ogg-0.8.7

	Emerged at: Sun Jan  9 09:54:42 2005
	Build time: 1 minute, and 6 seconds

 * media-plugins/gst-plugins-flac-0.8.7

	Emerged at: Sun Jan  9 09:55:48 2005
	Build time: 1 minute, and 2 seconds

 * media-plugins/gst-plugins-mad-0.8.7

	Emerged at: Sun Jan  9 09:56:50 2005
	Build time: 59 seconds

 * gnome-extra/nautilus-cd-burner-2.8.6

	Emerged at: Sun Jan  9 09:57:49 2005
	Build time: 1 minute, and 26 seconds

 * media-libs/imlib2-1.2.0

	Emerged at: Sun Jan  9 09:59:15 2005
	Build time: 2 minutes, and 3 seconds

 * media-libs/libtheora-1.0_alpha4

	Emerged at: Sun Jan  9 10:01:18 2005
	Build time: 57 seconds

 * x11-wm/icewm-1.2.19

	Emerged at: Sun Jan  9 10:02:15 2005
	Build time: 2 minutes, and 37 seconds

 * media-gfx/xv-3.10a-r9

	Emerged at: Sun Jan  9 10:04:52 2005
	Build time: 1 minute, and 11 seconds

 * sys-apps/memtest86-3.2

	Emerged at: Sun Jan  9 10:06:03 2005
	Build time: 25 seconds

 * app-arch/rar-3.4.1

	Emerged at: Sun Jan  9 10:06:28 2005
	Build time: 21 seconds

 * app-arch/tar-1.15.1

	Emerged at: Sun Jan  9 10:06:49 2005
	Build time: 1 minute, and 25 seconds

 * gnome-extra/evolution-data-server-1.0.3

	Emerged at: Sun Jan  9 10:33:48 2005
	Build time: 10 minutes, and 47 seconds

 * sys-apps/man-pages-2.00

	Emerged at: Sun Jan  9 10:44:35 2005
	Build time: 1 minute, and 9 seconds

 * dev-dotnet/gtksourceview-sharp-0.5-r1

	Emerged at: Sun Jan  9 10:45:44 2005
	Build time: 41 seconds

 * dev-util/monodoc-1.0.5

	Emerged at: Sun Jan  9 10:46:25 2005
	Build time: 58 seconds

 * dev-util/guile-1.6.6

	Emerged at: Sun Jan  9 10:47:23 2005
	Build time: 4 minutes, and 30 seconds

 * gnome-extra/gnome-games-2.8.2

	Emerged at: Sun Jan  9 10:51:53 2005
	Build time: 7 minutes, and 45 seconds

 * dev-perl/HTML-Tagset-3.04

	Emerged at: Sun Jan  9 10:59:38 2005
	Build time: 28 seconds

 * mail-filter/spamassassin-3.0.2

	Emerged at: Sun Jan  9 11:00:06 2005
	Build time: 57 seconds

 * gnome-extra/gal-2.2.4

	Emerged at: Sun Jan  9 11:01:03 2005
	Build time: 9 minutes, and 13 seconds

 * gnome-extra/yelp-2.6.5

	Emerged at: Sun Jan  9 11:10:16 2005
	Build time: 1 minute, and 24 seconds

 * gnome-extra/libgtkhtml-3.2.4

	Emerged at: Sun Jan  9 11:11:40 2005
	Build time: 7 minutes, and 44 seconds

 * mail-client/evolution-2.0.3

	Emerged at: Sun Jan  9 11:19:24 2005
	Build time: 28 minutes, and 52 seconds

 * net-www/apache-2.0.52-r2

	Emerged at: Sun Jan  9 11:48:16 2005
	Build time: 10 minutes, and 28 seconds

 * xfce-base/libxfce4util-4.1.99.3

	Emerged at: Sun Jan  9 11:58:44 2005
	Build time: 50 seconds

 * xfce-base/libxfcegui4-4.1.99.3

	Emerged at: Sun Jan  9 11:59:34 2005
	Build time: 2 minutes, and 29 seconds

 * xfce-base/libxfce4mcs-4.1.99.3

	Emerged at: Sun Jan  9 12:02:03 2005
	Build time: 44 seconds

 * xfce-base/xfce-mcs-manager-4.1.99.3

	Emerged at: Sun Jan  9 12:02:47 2005
	Build time: 47 seconds

 * xfce-base/xfwm4-4.1.99.3

	Emerged at: Sun Jan  9 12:03:34 2005
	Build time: 1 minute, and 58 seconds

 * xfce-extra/xfwm4-themes-4.1.99.3

	Emerged at: Sun Jan  9 12:05:32 2005
	Build time: 1 minute, and 11 seconds

 * app-text/a2ps-4.13c-r2

	Emerged at: Sun Jan  9 12:06:43 2005
	Build time: 3 minutes, and 24 seconds

 * xfce-base/xfprint-4.1.99.3

	Emerged at: Sun Jan  9 12:10:07 2005
	Build time: 1 minute, and 33 seconds

 * xfce-base/xfce4-panel-4.1.99.3

	Emerged at: Sun Jan  9 12:11:40 2005
	Build time: 1 minute, and 26 seconds

 * xfce-extra/xfce4-trigger-launcher-4.1.99.3

	Emerged at: Sun Jan  9 12:13:06 2005
	Build time: 44 seconds

 * xfce-base/xfce-mcs-plugins-4.1.99.3

	Emerged at: Sun Jan  9 12:13:50 2005
	Build time: 1 minute, and 14 seconds

 * x11-themes/gtk-engines-xfce-2.2.4

	Emerged at: Sun Jan  9 12:15:04 2005
	Build time: 1 minute, and 26 seconds

 * xfce-base/xfce4-base-4.1.99.3

	Emerged at: Sun Jan  9 12:16:30 2005
	Build time: 21 seconds

 * xfce-base/xffm-4.1.99.3

	Emerged at: Sun Jan  9 12:16:51 2005
	Build time: 4 minutes, and 4 seconds

 * xfce-extra/xfce4-icon-theme-4.1.99.3

	Emerged at: Sun Jan  9 12:20:55 2005
	Build time: 36 seconds

 * xfce-extra/xfce4-toys-4.1.99.3

	Emerged at: Sun Jan  9 12:21:31 2005
	Build time: 53 seconds

 * xfce-extra/xfce4-iconbox-4.1.99.3

	Emerged at: Sun Jan  9 12:22:24 2005
	Build time: 1 minute, and 9 seconds

 * xfce-extra/xfce4-mixer-4.1.99.3

	Emerged at: Sun Jan  9 12:23:33 2005
	Build time: 1 minute, and 52 seconds

 * xfce-base/xfce-utils-4.1.99.3

	Emerged at: Sun Jan  9 12:25:25 2005
	Build time: 1 minute, and 2 seconds

 * xfce-base/xfdesktop-4.1.99.3

	Emerged at: Sun Jan  9 12:26:27 2005
	Build time: 1 minute, and 55 seconds

 * xfce-base/xfce4-session-4.1.99.3

	Emerged at: Sun Jan  9 12:28:22 2005
	Build time: 1 minute, and 43 seconds

 * xfce-extra/xfce4-appfinder-4.1.99.3

	Emerged at: Sun Jan  9 12:30:05 2005
	Build time: 44 seconds

 * xfce-extra/xfce4-systray-4.1.99.3

	Emerged at: Sun Jan  9 12:30:49 2005
	Build time: 40 seconds

 * xfce-extra/xfcalendar-4.1.99.3

	Emerged at: Sun Jan  9 12:31:29 2005
	Build time: 1 minute, and 6 seconds

 * xfce-base/xfce4-4.1.99.3

	Emerged at: Sun Jan  9 12:32:35 2005
	Build time: 20 seconds

 * dev-perl/Test-Builder-Tester-1.01

	Emerged at: Sun Jan  9 12:32:55 2005
	Build time: 35 seconds

 * net-misc/openssh-3.9_p1-r1

	Emerged at: Sun Jan  9 12:33:30 2005
	Build time: 2 minutes, and 44 seconds

 * dev-util/valgrind-2.2.0-r1

	Emerged at: Sun Jan  9 12:36:14 2005
	Build time: 1 minute, and 28 seconds

 * media-libs/libcaca-0.9-r1

	Emerged at: Sun Jan  9 12:37:42 2005
	Build time: 1 minute, and 50 seconds

 * media-libs/xine-lib-1.0

	Emerged at: Sun Jan  9 12:39:32 2005
	Build time: 16 minutes, and 19 seconds

 * app-office/openoffice-bin-1.1.4

	Emerged at: Sun Jan  9 12:55:51 2005
	Build time: 4 minutes, and 44 seconds

 * kde-misc/krusader-1.51

	Emerged at: Sun Jan  9 13:00:35 2005
	Build time: 14 minutes, and 5 seconds

 * x11-wm/metacity-2.8.8

	Emerged at: Sun Jan  9 13:14:40 2005
	Build time: 2 minutes, and 58 seconds

 * gnome-base/control-center-2.8.1-r1

	Emerged at: Sun Jan  9 13:17:38 2005
	Build time: 8 minutes, and 15 seconds

 * gnome-base/gnome-applets-2.8.2

	Emerged at: Sun Jan  9 13:25:53 2005
	Build time: 11 minutes, and 16 seconds

 * sys-kernel/genkernel-3.1.0d

	Emerged at: Sun Jan  9 13:37:09 2005
	Build time: 32 seconds

 * media-gfx/fontforge-20041231

	Emerged at: Sun Jan  9 13:37:42 2005
	Build time: 5 minutes, and 36 seconds

 * app-admin/logrotate-3.7

	Emerged at: Sun Jan  9 13:43:18 2005
	Build time: 26 seconds

 * media-plugins/gst-plugins-ffmpeg-0.8.3

	Emerged at: Sun Jan  9 13:43:45 2005
	Build time: 6 minutes, and 6 seconds

 * media-libs/sdl-image-1.2.4

	Emerged at: Sun Jan  9 13:49:52 2005
	Build time: 1 minute, and 4 seconds

 * dev-util/cvs-1.12.11

	Emerged at: Sun Jan  9 13:50:56 2005
	Build time: 3 minutes, and 19 seconds

 * kde-base/kdesdk-3.3.2

	Emerged at: Sun Jan  9 13:54:15 2005
	Build time: 40 minutes, and 2 seconds

 * app-editors/bluefish-0.13

	Emerged at: Sun Jan  9 14:34:17 2005
	Build time: 2 minutes, and 35 seconds

 * app-admin/gnome-system-tools-1.0.2-r1

	Emerged at: Sun Jan  9 14:36:52 2005
	Build time: 5 minutes, and 9 seconds

 * sys-apps/net-tools-1.60-r10

	Emerged at: Sun Jan  9 14:42:01 2005
	Build time: 1 minute, and 17 seconds

 * dev-lang/ruby-1.8.2

	Emerged at: Sun Jan  9 14:43:18 2005
	Build time: 16 minutes, and 9 seconds

 * sys-fs/udev-050

	Emerged at: Sun Jan  9 14:59:28 2005
	Build time: 1 minute, and 22 seconds

 * gnome-extra/gnome-system-monitor-2.8.1-r1

	Emerged at: Sun Jan  9 15:00:50 2005
	Build time: 3 minutes, and 1 second

 * app-editors/vim-core-6.3-r3

	Emerged at: Sun Jan  9 15:03:51 2005
	Build time: 3 minutes, and 21 seconds

 * app-editors/vim-6.3-r2

	Emerged at: Sun Jan  9 15:07:12 2005
	Build time: 5 minutes, and 9 seconds

 * dev-libs/boehm-gc-6.4

	Emerged at: Sun Jan  9 15:12:21 2005
	Build time: 1 minute, and 33 seconds

 * media-gfx/inkscape-0.40

	Emerged at: Sun Jan  9 15:13:54 2005
	Build time: 25 minutes, and 30 seconds

 * net-ftp/lftp-3.0.13

	Emerged at: Sun Jan  9 15:39:24 2005
	Build time: 6 minutes, and 5 seconds

 * dev-libs/libotf-0.9.3

	Emerged at: Sun Jan  9 15:45:29 2005
	Build time: 1 minute, and 6 seconds

 * sys-devel/distcc-2.18.3

	Emerged at: Sun Jan  9 15:46:35 2005
	Build time: 1 minute, and 46 seconds

 * net-misc/keychain-2.5.0

	Emerged at: Sun Jan  9 15:48:21 2005
	Build time: 36 seconds

 * sys-apps/i2c-2.9.0

	Emerged at: Sun Jan  9 15:48:57 2005
	Build time: 29 seconds

 * sys-apps/lm-sensors-2.9.0

	Emerged at: Sun Jan  9 15:49:26 2005
	Build time: 51 seconds

 * media-sound/sox-12.17.6-r1

	Emerged at: Sun Jan  9 15:50:17 2005
	Build time: 1 minute, and 47 seconds

 * x11-themes/gnome-themes-extras-0.8.0-r1

	Emerged at: Sun Jan  9 15:52:04 2005
	Build time: 4 minutes, and 19 seconds

 * net-misc/vino-2.8.1

	Emerged at: Sun Jan  9 15:56:23 2005
	Build time: 3 minutes, and 9 seconds

 * app-text/antiword-0.36.1

	Emerged at: Sun Jan  9 15:59:32 2005
	Build time: 57 seconds

 * net-misc/knemo-0.3.1

	Emerged at: Sun Jan  9 16:00:29 2005
	Build time: 3 minutes, and 39 seconds

 * dev-db/m17n-db-1.2.0

	Emerged at: Sun Jan  9 16:04:08 2005
	Build time: 53 seconds

 * dev-libs/m17n-lib-1.2.0

	Emerged at: Sun Jan  9 16:05:01 2005
	Build time: 2 minutes, and 42 seconds

 * net-www/epiphany-1.4.7

	Emerged at: Sun Jan  9 16:07:43 2005
	Build time: 9 minutes, and 16 seconds

 * app-editors/scite-1.6.2

	Emerged at: Sun Jan  9 16:16:59 2005
	Build time: 3 minutes, and 57 seconds

 * kde-misc/krename-3.0.3_rc2

	Emerged at: Sun Jan  9 16:20:56 2005
	Build time: 5 minutes, and 10 seconds

 * app-admin/webmin-1.170-r2

	Emerged at: Sun Jan  9 16:26:06 2005
	Build time: 2 minutes, and 21 seconds

 * app-arch/p7zip-4.13

	Emerged at: Sun Jan  9 16:28:27 2005
	Build time: 3 minutes, and 26 seconds

 * media-plugins/gst-plugins-gnomevfs-0.8.7

	Emerged at: Sun Jan  9 16:31:53 2005
	Build time: 1 minute, and 11 seconds

 * media-plugins/gst-plugins-libpng-0.8.7

	Emerged at: Sun Jan  9 16:33:04 2005
	Build time: 2 minutes, and 16 seconds

 * app-cdr/k3b-0.11.18

	Emerged at: Sun Jan  9 16:35:20 2005
	Build time: 32 minutes, and 14 seconds

 * net-www/opera-7.54-r1

	Emerged at: Sun Jan  9 17:07:34 2005
	Build time: 54 seconds

 * app-office/scribus-1.2.1

	Emerged at: Sun Jan  9 18:01:07 2005
	Build time: 20 minutes, and 59 seconds

 * app-admin/usermin-1.100-r1

	Emerged at: Sun Jan  9 18:22:06 2005
	Build time: 45 seconds

 * media-gfx/xsane-0.96-r1

	Emerged at: Sun Jan  9 18:22:51 2005
	Build time: 1 minute, and 38 seconds

 * media-sound/mpg123-0.59s-r9

	Emerged at: Sun Jan  9 18:24:29 2005
	Build time: 1 minute, and 25 seconds

 * app-text/acroread-5.10

	Emerged at: Sun Jan  9 18:25:54 2005
	Build time: 22 seconds

 * app-editors/kxmleditor-1.1.4

	Emerged at: Sun Jan  9 18:26:16 2005
	Build time: 4 minutes, and 6 seconds

 * x11-base/xorg-x11-6.8.0-r4

	Emerged at: Sun Jan  9 18:43:20 2005
	Build time: 52 minutes, and 20 seconds

 * x11-base/xorg-x11-6.7.0-r3

	Emerged at: Sun Jan  9 22:02:31 2005
	Build time: 51 minutes, and 58 seconds

 * app-portage/splat-0.08

	Emerged at: Mon Jan 10 00:15:44 2005
	Build time: 40 seconds
Comment 12 Donnie Berkholz (RETIRED) gentoo-dev 2005-01-10 09:02:23 UTC
IRT perms: "s" in owner group is suid, in user group is sgid. "t" in the last "x" spot is sticky bit. The chmod man page has some info; so does Google.

In the future, do not paste long output directly into the bug report; attach it. It makes it harder to see what people are actually saying about the problem.

Check the perms on a few more things:
ls -ld /home/$(whoami) /home/$(whoami)/.Xauthority /home/$(whoami)/.ICEauthority
Comment 13 Christphe ARNAL 2005-01-10 09:34:17 UTC
Well, a partial solution !!!

If i remove dri module from xorg.conf, everything works !!!
So, the trouble seem's to be cause by DRI.

I know, it's not fine but it works !!!

By the way, i've change fglrx driver to radeon driver. With this one, DRI is OK.

But the question remains, why did DRI stopped working ?

No idea yet, maybe latter...

Christ
Comment 14 Donnie Berkholz (RETIRED) gentoo-dev 2005-01-10 09:38:22 UTC
Hm, if you want to attach your xorg.conf and list the output of:
ls -ld /dev/dri
ls -l /dev/dri
Comment 15 Guy 2005-01-10 19:09:55 UTC
In response to comment #12:

First, I apologise about the inline post. I actually know better but my mind doesn't work that well after midnight. :-(

The info you requested:

dragonfyre ~ # ls -ld /home/guyc /home/guyc/.Xauthority /home/guyc/.ICEauthority
drwxr-xr-x  167 guyc root  12576 Jan 10 08:27 /home/guyc
-rw-------    1 guyc users  1155 Jan  9 17:48 /home/guyc/.ICEauthority
-rw-------    1 guyc users  4558 Jan 10 08:27 /home/guyc/.Xauthority
dragonfyre ~ # ls -ld /root /root/.Xauthority /root/.ICEauthority
drwx------  42 root root 4104 Jan 10 21:58 /root
-rw-------   1 root root  394 Jan 10 21:57 /root/.ICEauthority
-rw-------   1 root root  208 Jan 10 08:16 /root/.Xauthority
dragonfyre ~ #

Am I correct in assuming that I should leave the permissions on:

-rws--x--x   1 root root 2002075 Jan  9 22:52 /usr/X11R6//bin/Xorg

alone? Based on the man page for chmod, I understand how to change the suid and sgid bits now. But I don't know if I need to. I did, as an experiment, change the permissions to:

-rwsr-sr-x

but that didn't seem to make any difference.

I'm also attaching my xorg.conf.
Comment 16 Guy 2005-01-10 19:11:34 UTC
Created attachment 48155 [details]
xorg.conf from Guy's dragonfyre machine.
Comment 17 Guy 2005-01-10 19:19:28 UTC
Created attachment 48156 [details]
Xorg.1.log from latest attempt

Latest attempt to initiate an xsession for a non-root user.
Comment 18 Guy 2005-01-10 19:21:39 UTC
Created attachment 48157 [details]
emerge and current xorg-x11 version info

relevant 'emerge info' and 'emerge -pv xorg-x11' results.
Comment 19 Guy 2005-01-13 06:30:20 UTC
I've added ipv6 support to all my kernels. The only difference between the root X log and the non-root X logs are:

X log for root:

...
(II) XINPUT: Adding extended input device "Keyboard1" (type: KEYBOARD)
(II) XINPUT: Adding extended input device "Mouse1" (type: MOUSE)
(II) Mouse1: ps2EnableDataReporting: succeeded
Could not init font path element /usr/share/fonts/CID/, removing from list!
Could not init font path element /usr/share/fonts/local/, removing from list!
Could not init font path element /usr/share/fonts/Speedo/, removing from list!
SetClientVersion: 0 8
(WW) Open APM failed (/dev/apm_bios) (No such file or directory)
(II) Mouse1: ps2EnableDataReporting: succeeded


X log for non-root:

...
(II) XINPUT: Adding extended input device "Keyboard1" (type: KEYBOARD)
(II) XINPUT: Adding extended input device "Mouse1" (type: MOUSE)
(II) Mouse1: ps2EnableDataReporting: succeeded
Could not init font path element /usr/share/fonts/CID/, removing from list!
Could not init font path element /usr/share/fonts/local/, removing from list!
Could not init font path element /usr/share/fonts/Speedo/, removing from list!

I think it's really, really weird that I got the socket messages for non-root users but not for root when I had no ipv6 support.

I think it's even weirder that I can no longer initiate an X session for any non-root user regardless of kernel and xorg-x11 combination.

This sucks.
Comment 20 Guy 2005-01-13 10:48:25 UTC
Problem solved.

The installation of xorg-x11-6.8.1.809 either installed an empty or nulled out an existing .xinitrc file in the home directory of the non-root user. Removing the empty .xinitrc file resolved the problem. The date and timestamp on the .xinitrc file matches the 'emerge -Udv world' command executed on Jan 8.

Later attempts to go back to earlier versions of xorg-x11 were unsuccessful for because this file was left out there.
Comment 21 Guy 2005-01-13 11:14:33 UTC
I think I meant 901 instead of 809 but I'm not home so I can't check for sure.
Comment 22 Guy 2005-01-15 08:28:58 UTC
Problem found and identified:

Note the following timestamps:

* net-im/ymessenger-1.0.4.1-r1

	Emerged at: Sat Jan  8 02:27:32 2005
	Build time: 56 seconds

-rw-r--r--  1 guyc users   0 Jan  8 02:29 .xinitrc.hold

ymessenger apparently attempts to update the user's .xinitrc file the first time it is run. This results in a _blank_ .xinitrc. This is wrong. The timing of this whole fiasco is coincidental to the 'emerge world' I performed during the same Xsession.

Presumably, people who 'emerge world' and have an old version of ymessenger will run into the same problem after the new version emerges.

I'm not a programmer, but I suspect that ymessenger should be masked since the problem appears to me to be caused by running ymessenger the first time.

This bug should be closed and a new bug opened for ymessenger.
Comment 23 Donnie Berkholz (RETIRED) gentoo-dev 2005-01-15 21:28:16 UTC
Nah, I'll just reassign this one.
Comment 24 Don Seiler (RETIRED) gentoo-dev 2005-01-25 11:38:17 UTC
Does this occur for ymessenger-1.0.6.1?

If so I'll just mask the whole lot.
Comment 25 Jakub Moc (RETIRED) gentoo-dev 2006-07-23 10:33:14 UTC
Please, test this w/ ymessenger-1.0.6.1 and report back.